Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.enterprise.ee.cms.impl.common
Class FailureSuspectedSignalImpl

    java.lang.Object
      com.sun.enterprise.ee.cms.impl.common.FailureSuspectedSignalImpl

All Implemented Interfaces:
  FailureSuspectedSignal, Signal

    public class FailureSuspectedSignalImpl

extends Object
implements FailureSuspectedSignal

Version:
  $Revision: 1.2 $
Author:
  Shreedhar Ganapathy Date: Sep 14, 2005

Field Summary
`protected GMSContext` | `ctx`
`protected String` | `failedMember`
`protected String` | `groupName`
`protected static Logger` | `logger`
`protected static String` | `MEMBER_DETAILS`
`protected long` | `startTime`

Constructor Summary
`FailureSuspectedSignalImpl(String failedMember, String groupName, long startTime)`

Method Summary
`void` | `acquire()` Signal is acquired prior to processing of the signal to protect group resources being acquired from being affected by a race condition Signal must be mandatorily acquired before any processing for recovery operations.
`String` | `getGroupName()` returns the group to which the member involved in the Signal belonged to
`Map<Serializable,Serializable>` | `getMemberDetails()` returns the details of the member who caused this Signal to be generated returns a Map containing key-value pairs constituting data pertaining to the member's details
`String` | `getMemberToken()` returns the identity token of the member that caused this signal to be generated.
`long` | `getStartTime()` returns the start time of the member involved in this Signal.
`void` | `release()` Signal is released after processing of the signal to bring the group resources to a state of availability Signal should be madatorily released after recovery process is completed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### failedMember

    protected String failedMember

### groupName

    protected String groupName

### MEMBER_DETAILS

    protected static final String MEMBER_DETAILS

See Also:
  Constant Field Values

### ctx

    protected GMSContext ctx

### logger

    protected static final Logger logger

### startTime

    protected long startTime

Constructor Detail

### FailureSuspectedSignalImpl

    public FailureSuspectedSignalImpl(String failedMember,
                                      String groupName,
                                      long startTime)

Method Detail

### acquire

    public void acquire()
                 throws SignalAcquireException

  Signal is acquired prior to processing of the signal to protect group resources being acquired from being affected by a race condition Signal must be mandatorily acquired before any processing for recovery operations.

  Specified by:
    `acquire` in interface `Signal`
  Throws:
    `SignalAcquireException`

### release

    public void release()
                 throws SignalReleaseException

  Signal is released after processing of the signal to bring the group resources to a state of availability Signal should be madatorily released after recovery process is completed.

  Specified by:
    `release` in interface `Signal`
  Throws:
    `SignalReleaseException`

### getMemberToken

    public String getMemberToken()

  returns the identity token of the member that caused this signal to be generated. For instance, in the case of a MessageSignal, this member token would be the sender. In the case of a FailureNotificationSignal, this member token would be the failed member. In the case of a JoinNotificationSignal or GracefulShutdownSignal, the member token would be the member who joined or is being gracefully shutdown, respectively.

  Specified by:
    `getMemberToken` in interface `Signal`
  Returns:
    returns the identity token of the member

### getMemberDetails

    public Map<Serializable,Serializable> getMemberDetails()

  returns the details of the member who caused this Signal to be generated returns a Map containing key-value pairs constituting data pertaining to the member's details

  Specified by:
    `getMemberDetails` in interface `Signal`
  Returns:
    Map

### getGroupName

    public String getGroupName()

  returns the group to which the member involved in the Signal belonged to

  Specified by:
    `getGroupName` in interface `Signal`
  Returns:
    String

### getStartTime

    public long getStartTime()

  returns the start time of the member involved in this Signal.

  Specified by:
    `getStartTime` in interface `Signal`
  Returns:
    long - time stamp of when this member started

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.